curl -X POST "https://api.scanova.io/bulk-operation/update/sheet/?type=update_details" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "qr_id_list": ["a1b2c3d4", "e5f6g7h8"] }' \
-o update-details-sample.csv
批量操作
下载批量更新示例表格
POST /bulk-operation/update/sheet/
POST
/
bulk-operation
/
update
/
sheet
/
curl -X POST "https://api.scanova.io/bulk-operation/update/sheet/?type=update_details" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "qr_id_list": ["a1b2c3d4", "e5f6g7h8"] }' \
-o update-details-sample.csv
在 Management API 主机(
此操作同步运行并直接返回文件——与生成/更新/下载端点不同,此处没有可供轮询的
api.scanova.io)上为账户自己的一组 QR 码生成并下载预填充表格,使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/bulk-operation/update/sheet/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
update_details 选择名称/标签列集(参见批量更新 QR 名称/标签);省略则使用内容更新列集(参见批量更新 QR 内容)。array
要包含的特定 QR id。也可改用
filter 或 search(传入 "all" 可选择所有拥有的 QR)。object
一个已保存的过滤器,用于选择要包含哪些 QR 码,作为
qr_id_list 的替代方式。string
一个搜索词,用于选择要包含哪些 QR 码,作为
qr_id_list 的替代方式。"all" 选择所有拥有的 QR 码。curl -X POST "https://api.scanova.io/bulk-operation/update/sheet/?type=update_details" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "qr_id_list": ["a1b2c3d4", "e5f6g7h8"] }' \
-o update-details-sample.csv
operation_id。行中已预填充每个 QR 的当前值,因此您只需编辑想要更改的单元格。
相关内容
- 批量更新 QR 名称/标签——提交
?type=update_details表格的位置。 - 批量更新 QR 内容——提交默认表格的位置。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
查询参数
Determines which columns the sheet includes; omit for the content-update column set.
可用选项:
update_details 响应
200 - text/csv
Sample sheet download.
此页面对您有帮助吗?